Subject: RE: A quick question on http://www.ietf.org/internet-drafts/draft-ietf-ccamp-gmpls-recovery-e2e-signaling-03.txt

From: "Brungard, Deborah A, ALABS" <[email-masked]>
Date: Tue, 20 Dec 2005 09:41:48 -0600

Hi Huub,

The 0-bit is a control plane parameter, it's not controlling data plane
operations, it's an indication reflecting the data plane operations. As
you note, traffic is bridged. Operationally though GMPLS needs to know
the administrative state for each. Section 3 (Introduction) has the data
plane definitions which you are referencing below. And the other
recovery RFCs provide much more detail on the ITU Rec'ds definitions.
Thanks,
Deborah

-----Original Message-----
From: [email-masked] [mailto:[email-masked]] On
Behalf Of Huub van Helvoort
Sent: Tuesday, December 20, 2005 8:47 AM
To: [email-masked]
Cc: Zafar Ali (zali); Adrian Farrel; [email-masked]
Subject: Re: A quick question on
http://www.ietf.org/internet-drafts/draft-ietf-ccamp-gmpls-recovery-e2e-
signaling-03.txt

Hi Dimitri,

You wrote:

> zafar, i am not sure to fully understand your question
> 
> the O-bit is used for 1+1 and 1:1 protection scheme such as to have an

> indication when a protecting LSP is carrying the "normal" traffic
after 
> protection switching (so it applies only in case of 1+1 LSP 
> uni-/bidirectional protection or 1:1 LSP protection)

[hvh] in 1+1 "normal" traffic is bridged to both working and
       protecting LSP, at the receiving end a switch is used to
       select either the working or protecting LSP.
       In this case the O-bit you describe above has no meaning.

       In uni-directional protection switching the switch state
       is independent of the switch state of the return LSP.
       In bi-directional protection switching both switches will
       switch simultaneously (both working LSP or protecting LSP).

Cheers, Huub.

> thanks,
> - dimitri.
> 
> ps: purpose is not to "contrast" between protection schemes
> 
> 	"Zafar Ali \(zali\)" <[email-masked]>
> Sent by: [email-masked]
> 
> 19/12/2005 23:10
> 
> 	       
>         To:        <[email-masked]>
>         cc:        "Adrian Farrel" <[email-masked]>, Dimitri 
> PAPADIMITRIOU/BE/ALCATEL@ALCATEL
>         Subject:        A quick question on 
>
http://www.ietf.org/internet-drafts/draft-ietf-ccamp-gmpls-recovery-e2e-
signaling-03.txt
> 
> 
> 
> 
> Hi All,
>  
> It's a bit confusing how one would encode protection object for 
> dedicated 1:1 protection (without traffic duplication) and I thought
it 
> deserves a confirmation.
>  
> I just wanted to confirm that to signal an LSP that is dedicated 1:1 
> protection, where
> 
>     * Traffic is NOT duplicated at working and protecting LSP-es
(i.e.,
>       this is not 1+1 protection),
>     * There is NO extra traffic on the protecting LSP (i.e., it's
>       dedicated protection), 
> 
> we are expected to:
> 
>     * Set O-bit in protection object to 1 in signaling protecting LSP,
>       to indicate that the protecting LSP is (only) carrying the
normal
>       traffic after protection switching (i.e., It's NOT 1+1 setup).
If
>       contrasting 1:1 with 1+1 is NOT the intended use of O-bit, what
is
>       the intended use.
>     * LSP (Protection Type) Flags to 0x10 = 1+1 Bi-directional
>       Protection (for GMPLS optical LSPs). I.e., this is a dedicated
>       protection.
> 
> If above is not the intended use of O-bit, I am not sure why O-bit is 
> defined (as protection LSP is expected to carry normal traffic after 
> switchover). In which is it expected to use 0x04 = 1:N Protection with

> Extra-Traffic as LSP (Protection Type) Flags?
>  
> Thanks
>  
> Regards... Zafar
>  

-- 
================================================================
              http://members.chello.nl/hhelvoort/
================================================================
Always remember that you are unique...just like everyone else...